astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Analytic Functions (`astropy.analytic_functions`) »
- blackbody_nu

# blackbody_nu

`astropy.analytic_functions.blackbody.``blackbody_nu`(in_x, temperature)

  Calculate blackbody flux per steradian, B_{\nu}(T).

  Note

  Use `numpy.errstate` to suppress Numpy warnings, if desired.

  Warning

  Output values might contain `nan` and `inf`.

  Parameters:

  in_x : number, array-like, or `Quantity`

  > Frequency, wavelength, or wave number. If not a Quantity, it is assumed to be in Hz.

  temperature : number, array-like, or `Quantity`

  > Blackbody temperature. If not a Quantity, it is assumed to be in Kelvin.

  Returns:

  flux : `Quantity`

  > Blackbody monochromatic flux in erg \; cm^{-2} s^{-1} Hz^{-1} sr^{-1}.

  Raises:

  ValueError

  > Invalid temperature.

  ZeroDivisionError

  > Wavelength is zero (when converting to frequency).